HtmlToolTipRenderer (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.renderkit.html.HtmlToolTipRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class HtmlToolTipRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.richfaces.renderkit.html.ToolTipRenderer
                          org.richfaces.renderkit.html.HtmlToolTipRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class HtmlToolTipRenderer

extends ToolTipRenderer

Renderer for component class org.richfaces.renderkit.html.HtmlToolTipRenderer

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`HtmlToolTipRenderer()`

Method Summary
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIToolTip component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIToolTip component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIToolTip component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
`boolean` | `getRendersChildren()`

Methods inherited from class org.richfaces.renderkit.html.ToolTipRenderer
`buildEventOptions, constructJSVariable, doDecode, encodeTooltipText, getBgColor, getColor, getScripts, getStyles, insertScript`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Constructor Detail

### HtmlToolTipRenderer

    public HtmlToolTipRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Get base component class, targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `ToolTipRenderer`
  Returns:

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `ToolTipRenderer`
  Throws:
    `java.io.IOException`

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              UIToolTip component,
                              org.ajax4jsf.renderkit.ComponentVariables variables)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeChildren

    public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Overrides:
    `doEncodeChildren` in class `ToolTipRenderer`
  Throws:
    `java.io.IOException`

### doEncodeChildren

    public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 UIToolTip component,
                                 org.ajax4jsf.renderkit.ComponentVariables variables)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `ToolTipRenderer`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            UIToolTip component,
                            org.ajax4jsf.renderkit.ComponentVariables variables)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `ToolTipRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.